Bug 1300857 - [abrt] lincity-ng: do_periodic_events(): lincity-ng killed by SIGFPE
[abrt] lincity-ng: do_periodic_events(): lincity-ng killed by SIGFPE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lincity-ng (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:43b44b2ca8d6a44c5b6921e1802...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 18:12 EST by Danny Brodzik
Modified: 2016-10-10 21:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: lincity-ng-2.9-0.9.20160605git7f266b1.fc25 lincity-ng-2.9-0.9.20160605git7f266b1.fc24 lincity-ng-2.9-0.9.20160605git7f266b1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-10 13:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.70 KB, text/plain)
2016-01-21 18:12 EST, Danny Brodzik
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-21 18:12 EST, Danny Brodzik
no flags Details
File: core_backtrace (1.59 KB, text/plain)
2016-01-21 18:12 EST, Danny Brodzik
no flags Details
File: dso_list (6.08 KB, text/plain)
2016-01-21 18:12 EST, Danny Brodzik
no flags Details
File: environ (1.47 KB, text/plain)
2016-01-21 18:13 EST, Danny Brodzik
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-21 18:13 EST, Danny Brodzik
no flags Details
File: maps (29.62 KB, text/plain)
2016-01-21 18:13 EST, Danny Brodzik
no flags Details
File: mountinfo (3.04 KB, text/plain)
2016-01-21 18:13 EST, Danny Brodzik
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-21 18:13 EST, Danny Brodzik
no flags Details
File: open_fds (1.09 KB, text/plain)
2016-01-21 18:13 EST, Danny Brodzik
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2016-01-21 18:13 EST, Danny Brodzik
no flags Details
File: var_log_messages (241 bytes, text/plain)
2016-01-21 18:13 EST, Danny Brodzik
no flags Details

  None (edit)
Description Danny Brodzik 2016-01-21 18:12:51 EST
Description of problem:
1. Started the game.
2. Clicked on New Game.
3. Clicked on Temperate.
4. Clicked OK.
5. Game segfaults.

Version-Release number of selected component:
lincity-ng-2.9-0.7.beta.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        lincity-ng
crash_function: do_periodic_events
executable:     /usr/bin/lincity-ng
global_pid:     3438
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 do_periodic_events at src/lincity/simulate.cpp:136
 #1 do_time_step at src/lincity/simulate.cpp:120
 #2 execute_timestep at src/lincity-ng/MainLincity.cpp:75
 #3 Game::run at src/lincity-ng/Game.cpp:292
 #4 mainLoop at src/lincity-ng/main.cpp:423

Potential duplicate: bug 1179494
Comment 1 Danny Brodzik 2016-01-21 18:12:56 EST
Created attachment 1117017 [details]
File: backtrace
Comment 2 Danny Brodzik 2016-01-21 18:12:57 EST
Created attachment 1117018 [details]
File: cgroup
Comment 3 Danny Brodzik 2016-01-21 18:12:58 EST
Created attachment 1117019 [details]
File: core_backtrace
Comment 4 Danny Brodzik 2016-01-21 18:12:59 EST
Created attachment 1117020 [details]
File: dso_list
Comment 5 Danny Brodzik 2016-01-21 18:13:00 EST
Created attachment 1117021 [details]
File: environ
Comment 6 Danny Brodzik 2016-01-21 18:13:01 EST
Created attachment 1117022 [details]
File: limits
Comment 7 Danny Brodzik 2016-01-21 18:13:02 EST
Created attachment 1117023 [details]
File: maps
Comment 8 Danny Brodzik 2016-01-21 18:13:03 EST
Created attachment 1117024 [details]
File: mountinfo
Comment 9 Danny Brodzik 2016-01-21 18:13:04 EST
Created attachment 1117025 [details]
File: namespaces
Comment 10 Danny Brodzik 2016-01-21 18:13:05 EST
Created attachment 1117026 [details]
File: open_fds
Comment 11 Danny Brodzik 2016-01-21 18:13:06 EST
Created attachment 1117027 [details]
File: proc_pid_status
Comment 12 Danny Brodzik 2016-01-21 18:13:07 EST
Created attachment 1117028 [details]
File: var_log_messages
Comment 13 Fedora Update System 2016-09-23 20:53:35 EDT
lincity-ng-2.9-0.9.20160605git7f266b1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d42eb2da8f
Comment 14 Fedora Update System 2016-09-23 20:53:54 EDT
lincity-ng-2.9-0.9.20160605git7f266b1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-146f68ec30
Comment 15 Fedora Update System 2016-09-23 21:51:30 EDT
lincity-ng-2.9-0.9.20160605git7f266b1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6bd01d8a5c
Comment 16 Fedora Update System 2016-10-10 13:47:52 EDT
lincity-ng-2.9-0.9.20160605git7f266b1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-10-10 17:50:42 EDT
lincity-ng-2.9-0.9.20160605git7f266b1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-10-10 21:18:41 EDT
lincity-ng-2.9-0.9.20160605git7f266b1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.